Skip to main content
GET
/
transactions
/
{id}
Get transaction by ID
curl --request GET \
  --url https://api.getovra.com/transactions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "agentId": "<string>",
  "intentId": "<string>",
  "amountEuros": 123,
  "merchant": "<string>",
  "type": "authorization",
  "status": "<string>",
  "verified": true,
  "verifiedAt": "2023-11-07T05:31:56Z",
  "mismatch": "<string>",
  "memo": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key (sk_...) or Agent token (at_...)

Path Parameters

id
string
required

Response

Transaction object

id
string
agentId
string
intentId
string | null
amountEuros
number
merchant
string | null
type
enum<string>
Available options:
authorization,
capture,
refund,
reversal
status
string
verified
boolean
verifiedAt
string<date-time> | null
mismatch
string | null
memo
string | null
createdAt
string<date-time>